Module | RSS::Maker::TrackBackModel
In: | rss/maker/trackback.rb

### Methods

append_features

### Classes and Modules

Class RSS::Maker::TrackBackModel::TrackBackAboutsBase

### Public Class methods

append_features(klass)

[Source]

    # File rss/maker/trackback.rb, line 8
          def self.append_features(klass)
            super

            name = "#{RSS::TRACKBACK_PREFIX}_ping"
            klass.add_need_initialize_variable(name)
            klass.add_other_element(name)
            klass.module_eval("attr_accessor :\#{name}\ndef setup_\#{name}(rss, current)\nif \#{name} and current.respond_to?(:\#{name}=)\ncurrent.\#{name} = \#{name}\nend\nend\n", __FILE__, __LINE__+1)

            name = "#{RSS::TRACKBACK_PREFIX}_abouts"
            klass.add_need_initialize_variable(name, "make_#{name}")
            klass.add_other_element(name)
            klass.module_eval("attr_accessor :\#{name}\ndef make_\#{name}\nself.class::TrackBackAbouts.new(self)\nend\n\ndef setup_\#{name}(rss, current)\n@\#{name}.to_rss(rss, current)\nend\n", __FILE__, __LINE__+1)
          end

[Validate]